Opened 12 years ago

Last modified 12 years ago

#3123 closed Bug report

Filezilla 3.0.0.beta6 Linux fails on directory listing

Reported by: randomperson83 Owned by: Tim Kosse
Priority: high Component: Other
Keywords: Cc: randomperson83, Tim Kosse, symzo
Component version: Operating system type:
Operating system version:

Description

I can connect using the command line FTP client built into the OS, but FileZilla does not connect correctly.

Ubuntu (Feisty Fawn)
Kernel 2.6.17
xinerama, NVidia drivers 1.0.877x

Log:

Status: Resolving IP-Address for virtualroadside.com
Trace: ControlSocket.cpp(167): CControlSocket::ContinueConnect(0x894be28) m_pEngine=0x88a0400 caller=0x8a13fa0
Status: Connecting to 82.165.136.112:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220 FTP Server ready.
Command: USER u90855369
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for u90855369
Command: PASS *
Trace: CFtpControlSocket::OnReceive()
Response: 230 User u90855369 logged in
Command: SYST
Trace: CFtpControlSocket::OnReceive()
Response: 215 UNIX Type: L8
Command: FEAT
Trace: CFtpControlSocket::OnReceive()
Response: 211-Features:
Response: MDTM
Response: REST STREAM
Response: SIZE
Trace: CFtpControlSocket::OnReceive()
Response: 211 End
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Retrieving directory listing...
Trace: CFtpControlSocket::SendNextCommand(0)
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/" is the current directory
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::SendNextCommand(0)
Trace: CFtpControlSocket::ListSend(0)
Trace: CFtpControlSocket::SendNextCommand(0)
Trace: CFtpControlSocket::TransferSend(0)
Command: TYPE I
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to I
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::TransferSend(0)
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (82,165,136,112,249,122).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::TransferSend(0)
Command: LIST
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for file list
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::TransferSend(0)
Trace: Read failed with error 2
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd(1)
Trace: CFtpControlSocket::OnReceive()
Response: 226 Transfer complete
Trace: CFtpControlSocket::TransferParseResponse()
Trace: CFtpControlSocket::ResetOperation(2)
Trace: CControlSocket::ResetOperation(2)
Trace: CFtpControlSocket::SendNextCommand(2)
Trace: CFtpControlSocket::ListSend(2)
Trace: CFtpControlSocket::ResetOperation(2)
Trace: CControlSocket::ResetOperation(2)
Error: Failed to retrieve directory listing

Attachments (1)

socket.patch (1.0 KB) - added by Tim Kosse 12 years ago.

Download all attachments as: .zip

Change History (13)

comment:1 Changed 12 years ago by Tim Kosse

Interesting, I got multiple reports for this kind of problem but have never been able to reproduce it. Perhaps some sort of timing issue.

comment:2 Changed 12 years ago by randomperson83

Whats really odd is that it worked in the past (the previous beta), but it doesn't work now.

comment:3 Changed 12 years ago by symzo

Same problem, for me. Ubuntu as well. Filezilla used to work fine.


[...]
Command: PASV
Response: 227 Entering Passive Mode (212,27,63,3,232,89).
Command: LIST
Response: 150 Opening ASCII mode data connection for file list
Response: 226-Transfer complete.
Response: 226 Quotas: utilisation de 139 Mo sur les 10240 Mo
Error: Failed to retrieve directory listing


There's a bug in launchpad : https://launchpad.net/ubuntu/+source/filezilla/+bug/88897

comment:4 Changed 12 years ago by Tim Kosse

Please try most recent nightly build from http://filezilla-project.org/nightly.php

If it still fails, attach a log with debug level 4 please. If possible, I'd like a test account on a server you see this problem with.

comment:5 Changed 12 years ago by symzo

The bad news is, it still fails (nightly build 2007-03-25).

Unfortunately, I can't provide you with a test account. But I tested Filezilla with 5 different servers, and it fails for each of them. Moreover, it didn't a while ago on these same servers.

Here is my log :


Status: Resolving IP-Address for ftpperso.free.fr
Trace: ControlSocket.cpp(167): CControlSocket::ContinueConnect(0x8a86250) m_pEngine=0x894fdc8 caller=0x8a23fa0
Status: Connecting to 212.27.63.3:21...
Status: Connection established, waiting for welcome message...
Trace: CFtpControlSocket::OnReceive()
Response: 220 Serveur de mise a jour des pages perso de Free.fr version [Feb 11 2007 20:22:14]
Command: USER madgreen
Trace: CFtpControlSocket::OnReceive()
Response: 331 Password required for madgreen.
Command: PASS
Trace: CFtpControlSocket::OnReceive()
Response: 230 User madgreen logged in.
Status: Connected
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Status: Retrieving directory listing...
Trace: CFtpControlSocket::SendNextCommand(0)
Command: PWD
Trace: CFtpControlSocket::OnReceive()
Response: 257 "/" is current directory.
Trace: CFtpControlSocket::ResetOperation(0)
Trace: CControlSocket::ResetOperation(0)
Trace: CFtpControlSocket::SendNextCommand(0)
Trace: CFtpControlSocket::ListSend(0)
Trace: state = 1
Trace: CFtpControlSocket::SendNextCommand(0)
Trace: CFtpControlSocket::TransferSend(0)
Trace: state = 1
Command: TYPE I
Trace: CFtpControlSocket::OnReceive()
Response: 200 Type set to I
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 1
Trace: CFtpControlSocket::TransferSend(0)
Trace: state = 2
Command: PASV
Trace: CFtpControlSocket::OnReceive()
Response: 227 Entering Passive Mode (212,27,63,3,42,89).
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 2
Trace: CFtpControlSocket::TransferSend(0)
Trace: state = 4
Command: LIST
Trace: CTransferSocket::OnConnect
Trace: CFtpControlSocket::OnReceive()
Response: 150 Opening ASCII mode data connection for file list
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 1
Trace: state = 4
Trace: CFtpControlSocket::TransferSend(0)
Trace: state = 5
Trace: CTransferSocket::OnReceive(), m_transferMode=0
Trace: CTransferSocket::OnReceive(), m_transferMode=0
Trace: Read failed with error 2
Trace: CTransferSocket::TransferEnd(1)
Trace: CFtpControlSocket::TransferEnd(1)
Trace: CFtpControlSocket::OnReceive()
Response: 226-Transfer complete.
Trace: CFtpControlSocket::OnReceive()
Response: 226 Quotas: utilisation de 1 Mo sur les 10240 Mo
Trace: CFtpControlSocket::TransferParseResponse()
Trace: code = 2
Trace: state = 7
Trace: CFtpControlSocket::ResetOperation(2)
Trace: CControlSocket::ResetOperation(2)
Trace: CFtpControlSocket::SendNextCommand(2)
Trace: CFtpControlSocket::ListSend(2)
Trace: state = 2
Trace: CFtpControlSocket::ResetOperation(2)
Trace: CControlSocket::ResetOperation(2)
Error: Failed to retrieve directory listing

comment:6 Changed 12 years ago by randomperson83

I haven't tried it yet, I'll try to do so tonight. If you send me an email, I can provide access to the ftp server I tried it on.

Changed 12 years ago by Tim Kosse

Attachment: socket.patch added

comment:7 Changed 12 years ago by Tim Kosse

This problem seems to be caused by wxWidgets. I've attached an experimental patch for wxWidgets. It will be included in the 2007-03-26 nightly which should be built at 03:30 UTC.
Please try again with that version.
File Added: socket.patch

comment:8 Changed 12 years ago by symzo

How should I use this patch file ?

I've never seen one before :-)

thank you !

comment:9 Changed 12 years ago by Tim Kosse

Patch is just for reference, try tomorrow's nightly.

comment:10 Changed 12 years ago by symzo

Congratulations, no more bug for me with 2007-03-26 :-)

"Directory listing successful" :-)

comment:11 Changed 12 years ago by Tim Kosse

comment:12 Changed 12 years ago by sf-robot

This Tracker item was closed automatically by the system. It was
previously set to a Pending status, and the original submitter
did not respond within 14 days (the time period specified by
the administrator of this Tracker).

Note: See TracTickets for help on using tickets.